---
description: Building & using templated through types.
---

# Templates

### Understanding Templates

Templates are one of our most-beloved ways to work at Anytype, designed to help you scale and personalize your Object creation flows. With Templates, you can:

* Customize the Layouts and Relations you want to use to for certain object Types
* Automatically re-use the same structure each time you add a new Object

Templates are saved on the Type level, and each Type can support multiple Templates. For example, you can have different Templates for different kinds of Books, like academic, fiction, or non-fiction.

### How to Create a Template

There are three ways to add a Template:

1\) Navigate to the Types Library → Click the Type for which you'd like to create a Template → Click + to start creating a new template → Give your Template a name and start adding Relations and formatting → Your Template is auto-saved

2\) If you're working within an Object and would like to save your work as a Template, you can: Navigate to `···` in the top-right corner → Click + Use as a Template, and your content will automatically be saved as a new Template for this Object Type.

3\) If you are working in a Set / Collection and you would like to create / edit your templates, you can:\
Navigate to `New|▾` in the top-right corner of the Set / Collection view -> Click on the `▾` button to open up the template modal. Then either create a new template by using the `+` button, or modify an existing one by clicking on `···` in the top right corner of the template button, and choosing either `Edit template`, `Duplicate` or `Delete`.

### Using & Managing Templates

Depending on the way you've created your new object, either the default template will be applied automatically, or you will be asked to choose a template yourself.

<figure><img src="../../../.gitbook/assets/5_Template Picker Screenshot.png" alt=""><figcaption><p>Choose a template</p></figcaption></figure>

You can also choose the default template for each type through the Type library, or you can choose the default template for each Set & Collection view.

<figure><img src="../../../.gitbook/assets/6_Default Template Selector Screenshot at 18.15.24.png" alt=""><figcaption><p>Choose the default template for this set</p></figcaption></figure>

You can view, edit, duplicate, or delete the Templates you've added for each Object Type in the Types Library.
